com.hazelcast.client

## Class ClientEvent

- java.lang.Object
- - com.hazelcast.client.ClientEvent

- All Implemented Interfaces:
    Client, Endpoint

      @PrivateApi
      public class ClientEvent
      extends Object
      implements Client

  Event used for notification of client connection and disconnection

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientEvent(String uuid, ClientEventType eventType, InetSocketAddress address, ClientType clientType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientType` | `getClientType()` Returns the type of this client.
    `ClientEventType` | `getEventType()`
    `InetSocketAddress` | `getSocketAddress()` Returns the socket address of this client.
    `String` | `getUuid()` Returns a unique UUID for this client.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientEvent

          public ClientEvent(String uuid,
                             ClientEventType eventType,
                             InetSocketAddress address,
                             ClientType clientType)

  - ### Method Detail

    - #### getUuid

          public String getUuid()

      Description copied from interface: `Client`
      Returns a unique UUID for this client.
      Specified by:
        `getUuid` in interface `Client`
      Specified by:
        `getUuid` in interface `Endpoint`
      Returns:
        a unique UUID for this client

    - #### getSocketAddress

          public InetSocketAddress getSocketAddress()

      Description copied from interface: `Client`
      Returns the socket address of this client.
      Specified by:
        `getSocketAddress` in interface `Client`
      Specified by:
        `getSocketAddress` in interface `Endpoint`
      Returns:
        the socket address of this client

    - #### getClientType

          public ClientType getClientType()

      Description copied from interface: `Client`
      Returns the type of this client.
      Specified by:
        `getClientType` in interface `Client`
      Returns:
        the type of this client

    - #### getEventType

          public ClientEventType getEventType()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.